require 'nl_gas_stations/version'
require 'nl_gas_stations/configuration'
require 'nl_gas_stations/gas_stations'

##
# Find fuel prices for many gas stations in The Netherlands. This gem reads the prices from www.brandstofprijzen.info.
module NlGasStations

  ##
  # Return the configuration.
  def self.configuration
    @configuration ||=  Configuration.new
  end

  ##
  # Set the configuration
  def self.configure
    yield(configuration) if block_given?
  end

  ##
  # Reset the configuration to the default values.
  def self.reset
    @configuration = Configuration.new
  end


end
