module NlGasStations

  class Configuration

    # Configure a cache to be used. Leave nil if no cache should be used.
    attr_accessor :cache

    # If you are using the cache you can set a custom prefix for cache keys.
    # Default value: nl_gas_stations_
    attr_accessor :cache_prefix

    # Duration of how long data should be cached. Example: 24.hours
    # Default value: 604800 (7 days)
    attr_accessor :cache_expires_in

    def initialize
      @cache = nil
      @cache_prefix = 'nl_gas_stations_'
      @cache_expires_in = 604800
    end

  end
end